Skip to main content
POST
/
api
/
v1
/
llm
/
conversations
/
{conversation_id}
/
items
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.conversations.createItems({
    conversationId: "conv_abc123",
    createItemsRequest: {
      items: [
        {
          type: "message",
          role: "user",
          content: "What is the weather today?",
        },
      ],
    },
  });

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "item_abc123",
      "response_id": "resp_abc123",
      "type": "message",
      "role": "user",
      "content": "What is the weather today?"
    }
  ],
  "has_more": false,
  "last_id": "item_abc123"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

conversation_id
string
required

The ID of the conversation

Body

application/json
items
object[]
required

Items to add to the conversation. Min 1, max 20 items at a time.

Required array length: 1 - 20 elements

A message input item with a role and content. Represents a single turn in the conversation from a user, assistant, system, or developer.

include
string[]

Additional fields to include (TODO: not implemented yet)

Response

200 - application/json

OK

data
object[]
required

A list of conversation items.

A message input item with a role and content. Represents a single turn in the conversation from a user, assistant, system, or developer.

has_more
boolean
required

Whether there are more items

last_id
string
required

ID of the last item in the current page

object
any